<ion-header>
  <ion-toolbar>
    <ion-title color="light">Niveaux</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

  <div class="content">

    <ion-row>
      <ion-col size="12" style="text-align: center; font-weight: bold; margin-top: 2%;">
        <ion-label style="color: white; font-family: 'Nunito-ExtraBold'; font-size: 24px;">
          Niveaux
        </ion-label>
      </ion-col>
    </ion-row>
    <ion-grid fixed>
      <div style="padding: 1%;" *ngFor="let level of scoresPerLevel; let i=index" >
        <!-- <div class="card" data-tilt data-tilt-scale="0.95" data-tilt-startY="40">
          <div class="welcome">
            Welcome to
          </div>
          <div class="year">
            <span>Twenty</span>
            <span>Twenty</span>
            <span>One</span>
          </div>
        </div> -->
            <div  *ngIf="topLevel >= level.level" style="text-align: center;position: relative;" (click)="selectLevel(level.level)">
              <div class="image">
                <img src="../../assets/images/level{{i+1}}.png" alt="">
              </div>


            <div class="level">
              <div>Niveau {{level.level}}</div>
            </div>
            <!-- <div style="text-align: end;">
              <ion-icon class="lock" name="lock-open" style="color: gray;"></ion-icon>
            </div> -->
          </div>


          <div *ngIf="topLevel < level.level" style=" text-align: center;position: relative;">
            <div class="image">
              <img src="../../assets/images/level{{i+1}}.png" alt="" style="opacity: 0.4;">
            </div>

            <div class="level" style="opacity: 0.4;">
              <div>Niveau {{level.level}}</div>
            </div>

            <div style="position: absolute;top: 25%;left: 47%;">
              <ion-icon class="lock" name="lock-closed" style="color: #ccd810;"></ion-icon>
            </div>

          </div>


          <div class="loading-bar">
            <div class="loading-bar--progress" [style.width]="width[i]">
               <span></span>
            </div>
         </div>
         <div style="margin-top: 20%;"></div>
        </div>

    </ion-grid>
  </div>

</ion-content>
